Kerbal Space Program - Bug #19079

All parts z-fighting when other vessels load into range
05/26/2018 05:34 AM - raptor9_ksp

Status: Confirmed Start date: 05/26/2018
Severity: Normal % Done: 10%
Assignee:

Category: Parts

Target version:

Version: 143 Language:

Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Whenever you are trying to rendezvous with other craft in orbit or on the surface, as soon as any other craft loads into range
(~2.2km) there is a lot of z-fighting among all parts of the craft, even with parts that never have before. Even command pod textures
z-fight with the flag painted on the side.

This effect goes away during a scene switch. For example going to the Tracking Station and then back to the craft. But when other
craft come into load range, it happens again.

History

#1 - 05/26/2018 09:44 AM - jclovis3

- Status changed from New to Need More Info

Would you be able to provide a copy of the vessels (craft files) you use and perhaps upload a video. | tried to reproduce and see no differences
created by approaching a vessel. | started from about 3.5 km and watched as | approached. Then | reset back to launch pad to compare what |
noticed with what the vessel displayed before | came within range.

The only Z-fighting | see are when some parts are close together, like the large batteries, and the folded ends of a large thermal control system.

Watch: https://youtu.be/2pmSxHPFKsI

Along with the craft and video, a description of your graphics settings (including anti-aliasing) or a copy of your settings.cfg file may help too.

#2 - 05/26/2018 06:34 PM - raptor9_ksp
- File settings.cfg added

I've never tried it around the KSC, but I've noticed it on both the Mun and Duna, whenever | land multiple landers at the same site. It happens with any
craft I've made. To be clear, | first noticed this in 1.4.1, but hadn't seen a lot of it until now because | hadn't started repeatedly putting a lot of craft in
one area until recently. This happened when anti-aliasing was disabled, or on 2x, or 4x.

I made a short GIF of the effect here (with anti-aliasing off):
http://i1356.photobucket.com/albums/q737/raptor 9000/GIFs/1.4.3%20z-fighting_zpsohcwpndw.gif

With the two landers, you can see z-fighting around parts and textures that normally shouldn't have any issues. Note that even though the grey
"Rockomax Brand Adapter 02"s are not offset into the X200-32 tanks at all, they are z-fighting as if they are. Even Flags, or OX-STAT solar panels
surface placed z-fight with their parent part even though they are not embedded in the collision mesh of them. Shadows shimmer as well, almost as if
the collision meshes themselves are unstable.

#3 - 05/27/2018 06:00 AM - jclovis3

OK, here are some key differences between your graphic settings and mine.

Setting; Yours; Mine
Anti-Aliasing; 4x; 8x
Pixel light count; 30; 64
Frame limit; 120; 180

At 2x AA, | can see more disturbances in seems and edges but nothing like what you show. With AA turned off, | don't see quite so many
disturbances as | do with 2x, so your graphic card capabilities might have part to do with it. I'm not seeing any heavy Z-fighting in either case. In your
GIF, there is a shadow shake, which makes me wonder about the lighting calculations for your system. Are you running any mods to improve the
scenery?
https://youtu.be/2pmSxHPFKsI
So just to run a test like your situation, | put two very massive ships on the moons surface. The video here shows me landing the second one starting
just outside the 2.2 km range. | brought my graphic settings down to match yours, but | have a suspicion that your particular graphics card may be
having problems. You can also try updating your drivers, including DirectX. To help the team with your hardware specifics, they'll need a copy of your
KSP.log file as most of the data they need will be at the top of that. You'll have to close KSP first for this file to be closed out for access. | recommend
keeping this file short so just have a quick save ready, restart KSP, open up your quick save to show the problem, then press Alt-F4 for a quick shut
down and use the log file created from that. It will minimize the data they have to sift through.

Watch: https://youtu.be/itnSOPk6e7¢c

The fuzzy video quality is because | had my capture set on low (about 14 Mbps). Either way, you still see pretty much what | saw in game.

#4 - 05/27/2018 06:11 AM - raptor9_ksp

| did have SVE and Scatterer installed when | made that GIF, but | had already tried it in a vanilla install when | tested with the anti-aliasing off. I'll try
updating my video drivers and matching your settings, see what happens there.

#5 - 05/28/2018 11:23 AM - diomedea

While it is fine if different users compare their findings about this issue, please know it has first to be reproduced/analyzed to then be fixed. Beyond
settings.cfg, please provide:

- .craft files (for vessels showing z-fighting parts);

- savegame with instructions about the next steps to achieve reproduction;

- output_log.txt file.

#6 - 05/28/2018 07:08 PM - raptor9_ksp

- File EV-2C _Runabout_-Titan 3P (LV-2A).craft added
- File KSP (z-fighting test output log).log added

- File persistent (z-fighting test).loadmeta added

- File persistent (z-fighting test).sfs added

- File settings (z-fighting test).cfg added

Persistent/meta files provided, along with the settings and KSP output file after a test run. To replicate the test, a lander is in orbit around Minmus
with a few landers on the surface already. Make an approach and land next to the surface assets. After loading into visual range (~2.2 km) z-fighting
will start and get progressively worse as you get closer.

As | mentioned earlier, this happens with any and all craft files I've ever rendezvoused on the surface with each other. But as an example, I've
included the craft file of the primary lander used in the test.

The most prevalent Z-fighting seems to occur with surface textures like flags, solar panels, and shadows. Again, here's a GIF showing an example
after landing a couple other craft near each other on the Mun:
http://i1356.photobucket.com/albums/q737/raptor 9000/GlIFs/1.4.3%20z-fighting_zpsohcwpndw.gif

#7 - 05/28/2018 08:03 PM - diomedea
- Status changed from Need More Info to Confirmed
- Severity changed from Low to Normal

- % Done changed from 0 to 10

Many thanks for those files. | could reproduce the z-fighting with your savegame and settings when just within the 2.2 Km distance. Your output_log
also shows nothing unusual (at least to me). Craft file was needed to verify if parts had placement issues (it is often a cause for z-fighting), but found
none. Therefore bug confirmed, is being proposed to the attention of developers for a fix (please be patient, there's plenty work already and this may
require time).

#9 - 05/28/2018 08:06 PM - raptor9_ksp

No worries. Only so many hours in the day, and priorities.
#10 - 05/28/2018 09:25 PM - jclovis3
In the output log, | noticed a lot of warnings that look similar to these:
[WRN 10:53:28.240] [Part]: PartModule ModuleColliderHelper at linearRcs, index 1: index exceeds module count as defined in cfg.
Looking for ModuleColliderHelper in other indices...
[WRN 10:53:28.240] ...no ModuleColliderHelper module found on part definition. Skipping...
[WRN 10:53:28.240] PartModule is null.

When | loaded your save game, | had them too, but with one of my own, no use of the word ModuleColliderHelper ever shows up in the log.

This error might suggest that HeatNaimatioEmissiveLiquidEngine3 was misspelled, leaving out the 'n' on 'Animation":
https://youtu.be/itnS0Pk6e7c
http://i1356.photobucket.com/albums/q737/raptor_9000/GIFs/1.4.3%20z-fighting_zpsohcwpndw.gif

[LOG 10:54:59.991] FXModuleAnimateThrottle: Could not find animation HeatAnimatioEmissiveLiquidEngine3 in part's animation components. Check
the animationName and model file

You said that the problem is resolved when you switch the the tracking station and return, but that didn't occur in this log so it's hard to see what
changes upon loading the second time. There are a lot of references to struts being attached to the same rigid body at both ends in the grasshopper
and Meerkat crafts. I'm not sure why that is unless it has to do with autostrut from the root part to the root part.

I'm not seeing a great deal of z-fighting but | did note you have some parts that overlap with surfaces close to one another. The little bit of flickering |
did see was either on a flag or on some parts when observed from a few camera angles only but not everywhere. The flag was more noticeable when
| zoomed away from it a bit. It seems distant parts don't warrant as much attention to detail.

Watch: https://youtu.be/lju4hWpCJHQ

Hope these comparisons and observations help.

#11 - 12/23/2018 09:30 PM - Anonymous

Still present in version 1.6.0 (with an AMD Radeon R7 M360 (2039MB)).

The shimmering effect seemed (to me) to have gotten much better during 1.5.x, as | no longer see it when aircraft fly over my runway-end flags, so |
thought to check here if it was reported fixed.

Loading the persistent(z-fighting test).sfs into a fresh 1.6.0 shows the bug as described. Quicksave/quickload resolves the problem.

#12 - 01/09/2019 09:10 PM - Yakuzi
- Language deleted (English (US))

Still present in KSP 1.6.1.2401(Windows x64) using an NVidia Geforce GTX 960M.

#13 - 04/12/2019 12:24 PM - Yakuzi
Still present in KSP 1.7.0.2483(Windows x64) using an NVidia Geforce GTX 960M.

#14 - 11/12/2020 01:47 AM - raptor9_ksp

This bug report can be closed/marked as resolved.

Files

settings.cfg 29.8 KB 05/26/2018 raptor9_ksp
EV-2C _Runabout_-Titan 3P (LV-2A).craft 342 KB 05/28/2018 raptor9_ksp
KSP (z-fighting test output log).log 365 KB 05/28/2018 raptor9_ksp
persistent (z-fighting test).loadmeta 348 Bytes 05/28/2018 raptor9_ksp
settings (z-fighting test).cfg 29.7 KB 05/28/2018 raptor9_ksp
persistent (z-fighting test).sfs 663 KB 05/28/2018 raptor9_ksp
